[sip-comm-dev] Error in SIP-Communicator launch...


#1

Hey Geeks,

I am runing Debian GNU/Linux 5.0 Lenny and since alpha2 does not work
for me, I have installed:

[michelle.konzack@michelle1:~] apt-cache policy sip-communicator
sip-communicator:
  Installiert: 1.0-alpha3-nightly.build.2323
  Kandidat: 1.0-alpha3-nightly.build.2323
  Versions-Tabelle:
*** 1.0-alpha3-nightly.build.2323 0
        500 http://download.sip-communicator.org unstable/ Packages
        100 /var/lib/dpkg/status

but I get this error:

[michelle.konzack@michelle1:~] sip-communicator
Exception in thread "main" java.lang.ExceptionInInitializerError
   at java.lang.Class.initializeClass(libgcj.so.90)
   at net.java.sip.communicator.util.launchutils.LaunchArgHandler.<init>(LaunchArgHandler.java:158)
   at net.java.sip.communicator.util.launchutils.LaunchArgHandler.getInstance(LaunchArgHandler.java:172)
   at net.java.sip.communicator.launcher.SIPCommunicator.main(SIPCommunicator.java:76)
Caused by: java.lang.NullPointerException
   at net.java.sip.communicator.util.OSUtils.<clinit>(OSUtils.java:98)
   at java.lang.Class.initializeClass(libgcj.so.90)
   ...3 more

any suggestions?

Thanks, Greetings and nice Day/Evening
    Michelle Konzack
    Systemadministrator
    Electronic Engineer
    Tamay Dogan Network
    Debian GNU/Linux Consultant

signature.pgp (189 Bytes)

···

--
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
<http://www.tamay-dogan.net/> Michelle Konzack
<http://www.can4linux.org/> Apt. 917
<http://www.flexray4linux.org/> 50, rue de Soultz
Jabber linux4michelle@jabber.ccc.de 67100 Strabourg/France
IRC #Debian (irc.icq.com) Tel. DE: +49 177 9351947
ICQ #328449886 Tel. FR: +33 6 61925193


#2

Hello Michelle,

Apparently you use gcj.

Have you SUN jdk or OpenJDK installed ?
If yes try to set default java with (run as root or sudo)
# update-alternative --config java
and set either SUN or OpenJDK version.

If you haven't one these two JDK and if you have installed SC via apt-get, it is probably a bug in the Debian installer that does not install a JDK as dependency (if the two are missing).

Regards,

···

--
Seb

Michelle Konzack a �crit :

Hey Geeks,

I am runing Debian GNU/Linux 5.0 Lenny and since alpha2 does not work
for me, I have installed:

[michelle.konzack@michelle1:~] apt-cache policy sip-communicator
sip-communicator:
  Installiert: 1.0-alpha3-nightly.build.2323
  Kandidat: 1.0-alpha3-nightly.build.2323
  Versions-Tabelle:
*** 1.0-alpha3-nightly.build.2323 0
        500 http://download.sip-communicator.org unstable/ Packages
        100 /var/lib/dpkg/status

but I get this error:

[michelle.konzack@michelle1:~] sip-communicator
Exception in thread "main" java.lang.ExceptionInInitializerError
   at java.lang.Class.initializeClass(libgcj.so.90)
   at net.java.sip.communicator.util.launchutils.LaunchArgHandler.<init>(LaunchArgHandler.java:158)
   at net.java.sip.communicator.util.launchutils.LaunchArgHandler.getInstance(LaunchArgHandler.java:172)
   at net.java.sip.communicator.launcher.SIPCommunicator.main(SIPCommunicator.java:76)
Caused by: java.lang.NullPointerException
   at net.java.sip.communicator.util.OSUtils.<clinit>(OSUtils.java:98)
   at java.lang.Class.initializeClass(libgcj.so.90)
   ...3 more

any suggestions?

Thanks, Greetings and nice Day/Evening
    Michelle Konzack
    Systemadministrator
    Electronic Engineer
    Tamay Dogan Network
    Debian GNU/Linux Consultant

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#3

Could you please send us the output of 'java -version' and the
architecture? The stack exception suggests that the system property
sun.arch.data.model is missing.

···

On Mon, Jan 11, 2010 at 4:18 PM, Michelle Konzack <linux4michelle@tamay-dogan.net> wrote:

Hey Geeks,

I am runing Debian GNU/Linux 5.0 Lenny and since alpha2 does not work
for me, I have installed:

[michelle.konzack@michelle1:~] apt-cache policy sip-communicator
sip-communicator:
Installiert: 1.0-alpha3-nightly.build.2323
Kandidat: 1.0-alpha3-nightly.build.2323
Versions-Tabelle:
*** 1.0-alpha3-nightly.build.2323 0
500 http://download.sip-communicator.org unstable/ Packages
100 /var/lib/dpkg/status

but I get this error:

[michelle.konzack@michelle1:~] sip-communicator
Exception in thread "main" java.lang.ExceptionInInitializerError
at java.lang.Class.initializeClass(libgcj.so.90)
at net.java.sip.communicator.util.launchutils.LaunchArgHandler.<init>(LaunchArgHandler.java:158)
at net.java.sip.communicator.util.launchutils.LaunchArgHandler.getInstance(LaunchArgHandler.java:172)
at net.java.sip.communicator.launcher.SIPCommunicator.main(SIPCommunicator.java:76)
Caused by: java.lang.NullPointerException
at net.java.sip.communicator.util.OSUtils.<clinit>(OSUtils.java:98)
at java.lang.Class.initializeClass(libgcj.so.90)
...3 more

any suggestions?

Thanks, Greetings and nice Day/Evening
Michelle Konzack
Systemadministrator
Electronic Engineer
Tamay Dogan Network
Debian GNU/Linux Consultant

--
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
<http://www.tamay-dogan.net/> Michelle Konzack
<http://www.can4linux.org/> Apt. 917
<http://www.flexray4linux.org/> 50, rue de Soultz
Jabber linux4michelle@jabber.ccc.de 67100 Strabourg/France
IRC #Debian (irc.icq.com) Tel. DE: +49 177 9351947
ICQ #328449886 Tel. FR: +33 6 61925193

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#4

Hello Sebastien;

Hello Michelle,

Apparently you use gcj.

Have you SUN jdk or OpenJDK installed ?

Yes it ws installed, when I have intalled sip-communicator

If yes try to set default java with (run as root or sudo)
# update-alternative --config java
and set either SUN or OpenJDK version.

Grmpf... Corrected and now it works... :smiley:

Thanks, Greetings and nice Day/Evening
    Michelle Konzack
    Systemadministrator
    Electronic Engineer
    Tamay Dogan Network
    Debian GNU/Linux Consultant

···

Am 2010-01-11 15:27:35, schrieb Sebastien Vincent:

--
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
<http://www.tamay-dogan.net/> Michelle Konzack
<http://www.can4linux.org/> Apt. 917
<http://www.flexray4linux.org/> 50, rue de Soultz
Jabber linux4michelle@jabber.ccc.de 67100 Strabourg/France
IRC #Debian (irc.icq.com) Tel. DE: +49 177 9351947
ICQ #328449886 Tel. FR: +33 6 61925193

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net